Commit fed7d910 authored by Anton Midyukov's avatar Anton Midyukov

Merge tag 'v1.5.4' into sisyphus

v1.5.4
parents 9f9e87a2 5ce72099
...@@ -424,15 +424,11 @@ grub-efi) ...@@ -424,15 +424,11 @@ grub-efi)
;; ;;
aarch64) aarch64)
chroot "$ROOTFS" grub-install --target=arm64-efi --recheck \ chroot "$ROOTFS" grub-install --target=arm64-efi --recheck \
--removable --no-uefi-secure-boot --removable --uefi-secure-boot
;;
armh)
chroot "$ROOTFS" grub-install --target=arm-efi --recheck \
--removable --no-uefi-secure-boot
;; ;;
riscv64) riscv64)
chroot "$ROOTFS" grub-install --target=riscv64-efi --recheck \ chroot "$ROOTFS" grub-install --target=riscv64-efi --recheck \
--removable --no-uefi-secure-boot --removable --uefi-secure-boot
esac esac
sed -i '/GRUB_DISABLE_OS_PROBER=true/d' "$ROOTFS/etc/sysconfig/grub2" sed -i '/GRUB_DISABLE_OS_PROBER=true/d' "$ROOTFS/etc/sysconfig/grub2"
;; ;;
......
...@@ -26,7 +26,8 @@ mixin/kworkstation-common-deps: \ ...@@ -26,7 +26,8 @@ mixin/kworkstation-common-deps: \
use/stage2/ata use/stage2/fs use/stage2/hid use/stage2/md \ use/stage2/ata use/stage2/fs use/stage2/hid use/stage2/md \
use/stage2/mmc use/stage2/net use/stage2/net-nfs use/stage2/cifs \ use/stage2/mmc use/stage2/net use/stage2/net-nfs use/stage2/cifs \
use/stage2/rtc use/stage2/sbc use/stage2/scsi use/stage2/usb \ use/stage2/rtc use/stage2/sbc use/stage2/scsi use/stage2/usb \
+net-eth +wireless +pulse +plymouth +systemd-optimal +wireless +vmguest +efi +nm +net-eth +wireless +pulse +plymouth +systemd-optimal +wireless +vmguest +efi +nm \
use/stage2/kms/nvidia
mixin/kworkstation-common-opts: mixin/kworkstation-common-opts:
@$(call set,BRANDING,xalt-kworkstation) @$(call set,BRANDING,xalt-kworkstation)
...@@ -46,8 +47,11 @@ endif ...@@ -46,8 +47,11 @@ endif
@$(call add,THE_PACKAGES,etcnet-defaults-desktop) @$(call add,THE_PACKAGES,etcnet-defaults-desktop)
@$(call add,THE_PACKAGES,btrfs-progs) @$(call add,THE_PACKAGES,btrfs-progs)
@$(call set,INSTALL2_FONTS,fonts-ttf-google-croscore-arimo) @$(call set,INSTALL2_FONTS,fonts-ttf-google-croscore-arimo)
@$(call set,LIVECD_FONTS,fonts-ttf-dejavu) @$(call set,LIVECD_FONTS,fonts-ttf-google-noto-sans)
@$(call add,THE_PACKAGES,fonts-ttf-dejavu) @$(call add,THE_PACKAGES,fonts-ttf-dejavu)
@$(call add,THE_PACKAGES,fonts-ttf-google-noto-sans)
@$(call add,THE_PACKAGES,fonts-ttf-google-noto-serif)
@$(call add,THE_PACKAGES,fonts-ttf-google-noto-sans-mono)
@$(call add,THE_PACKAGES,fonts-ttf-google-droid-sans) @$(call add,THE_PACKAGES,fonts-ttf-google-droid-sans)
@$(call add,THE_PACKAGES,fonts-ttf-google-droid-serif) @$(call add,THE_PACKAGES,fonts-ttf-google-droid-serif)
@$(call add,THE_PACKAGES,fonts-ttf-google-droid-sans-mono) @$(call add,THE_PACKAGES,fonts-ttf-google-droid-sans-mono)
...@@ -64,6 +68,7 @@ endif ...@@ -64,6 +68,7 @@ endif
@$(call add,THE_LISTS,tagged/xorg+misc) @$(call add,THE_LISTS,tagged/xorg+misc)
@$(call add,CONTROL,xdg-user-dirs:enabled) @$(call add,CONTROL,xdg-user-dirs:enabled)
@$(call add,CONTROL,fusermount:wheelonly) @$(call add,CONTROL,fusermount:wheelonly)
@$(call add,CONTROL,libnss-role:enabled)
@$(call add,SERVICES_ENABLE,smb) @$(call add,SERVICES_ENABLE,smb)
@$(call add,SERVICES_ENABLE,nmb) @$(call add,SERVICES_ENABLE,nmb)
@$(call add,SERVICES_ENABLE,postfix) @$(call add,SERVICES_ENABLE,postfix)
...@@ -93,14 +98,15 @@ endif ...@@ -93,14 +98,15 @@ endif
@$(call add,SERVICES_ENABLE,snapd.socket) @$(call add,SERVICES_ENABLE,snapd.socket)
@$(call add,CLEANUP_BASE_PACKAGES,'libwbclient-sssd') @$(call add,CLEANUP_BASE_PACKAGES,'libwbclient-sssd')
@$(call add,CLEANUP_PACKAGES,'^kernel-modules-drm-nouveau.*') @$(call add,CLEANUP_PACKAGES,'^kernel-modules-drm-nouveau.*')
@$(call add,CLEANUP_PACKAGES,'xterm')
@$(call set,META_VOL_SET,ALT) @$(call set,META_VOL_SET,ALT)
@$(call set,META_PUBLISHER,BaseALT Ltd) @$(call set,META_PUBLISHER,BaseALT Ltd)
@$(call set,META_VOL_ID,ALT Workstation K $(DISTRO_VERSION)$(STATUS) $(ARCH)) @$(call set,META_VOL_ID,ALT Workstation K $(DISTRO_VERSION)$(STATUS))
@$(call set,META_APP_ID,ALT Workstation K $(DISTRO_VERSION)$(STATUS) $(ARCH) $(shell date +%F)) @$(call set,META_APP_ID,ALT Workstation K $(DISTRO_VERSION)$(STATUS) $(ARCH) $(shell date +%F))
mixin/kworkstation-install-deps: \ mixin/kworkstation-install-deps: \
distro/.installer mixin/desktop-installer \ distro/.installer mixin/desktop-installer \
use/install2/suspend use/install2/net use/install2 use/install2/stage3 \ use/install2/suspend use/install2/net use/install2 use/install2/stage3 use/install2/vnc \
use/install2/vmguest \ use/install2/vmguest \
use/stage2/net-install \ use/stage2/net-install \
use/grub/localboot_bios.cfg \ use/grub/localboot_bios.cfg \
...@@ -186,7 +192,7 @@ mixin/kworkstation-live-opts: ...@@ -186,7 +192,7 @@ mixin/kworkstation-live-opts:
@$(call add,SERVICES_DISABLE,sshd) @$(call add,SERVICES_DISABLE,sshd)
@$(call add,CLEANUP_LIVE_PACKAGES,'flatpak') @$(call add,CLEANUP_LIVE_PACKAGES,'flatpak')
@$(call add,CLEANUP_LIVE_PACKAGES,'snapd') @$(call add,CLEANUP_LIVE_PACKAGES,'snapd')
@$(call set,META_VOL_ID,ALT Workstation K $(DISTRO_VERSION)$(STATUS) Live $(ARCH)) @$(call set,META_VOL_ID,ALT Workstation K $(DISTRO_VERSION)$(STATUS) Live)
@$(call set,META_APP_ID,ALT Workstation K $(DISTRO_VERSION)$(STATUS) Live $(ARCH) $(shell date +%F)) @$(call set,META_APP_ID,ALT Workstation K $(DISTRO_VERSION)$(STATUS) Live $(ARCH) $(shell date +%F))
distro/kworkstation-install: \ distro/kworkstation-install: \
...@@ -196,8 +202,9 @@ distro/kworkstation-install: \ ...@@ -196,8 +202,9 @@ distro/kworkstation-install: \
emulators remote-desktop \ emulators remote-desktop \
printing publishing scanning \ printing publishing scanning \
video-editing sound-editing graphics-editing \ video-editing sound-editing graphics-editing \
z00-add-3dparty 3dparty-flatpak 3dparty-snap \
z01-add-clients clients-ad clients-ipa clients-backup clients-cloud clients-monitor \ z01-add-clients clients-ad clients-ipa clients-backup clients-cloud clients-monitor \
z02-add-additional add-oem add-tablet add-webterminal) z02-add-additional add-oem add-tablet add-webterminal add-no4k-screen)
distro/kworkstation-install: \ distro/kworkstation-install: \
mixin/kworkstation-install-deps \ mixin/kworkstation-install-deps \
......
mixin/phosh: use/x11/gdm use/x11-autologin +pipewire +nm +nm-native
@$(call add,THE_PACKAGES,phosh mutter-gnome xorg-xwayland)
@$(call add,THE_PACKAGES,bluez)
@$(call add,DEFAULT_SERVICES_ENABLE,bluetoothd)
@$(call set,DEFAULT_SESSION,phosh)
ifeq (vm,$(IMAGE_CLASS))
vm/.phosh: vm/systemd use/efi/grub +systemd \
mixin/regular-vm-base mixin/regular-x11 \
mixin/regular-desktop mixin/phosh use/deflogin/root \
use/deflogin/privileges use/deflogin/xgrp use/deflogin/hardware \
use/l10n/ru_RU
@$(call add,USERS,altlinux:altlinux:500:500)
@$(call set,LOCALES,ru_RU en_US)
@$(call set,LOCALE,ru_RU)
@$(call set,KFLAVOURS,un-def)
vm/qemu-phosh: vm/.phosh use/tty/S0 +vmguest; @:
endif
ifeq (aarch64,$(ARCH))
# TODO: devicetree ($root)/boot/dtb/rockchip/rk3399-pinephone-pro.dtb
mixin/pinephone: use/x11/armsoc use/firmware use/uboot use/tty/S2; @:
ifeq (vm,$(IMAGE_CLASS))
vm/pinephone-phosh: vm/.phosh mixin/pinephone; @:
endif
endif
...@@ -54,6 +54,8 @@ include::../features.in/README[] ...@@ -54,6 +54,8 @@ include::../features.in/README[]
include::../features.in/00example/README[] include::../features.in/00example/README[]
include::../features.in/alternatives/README[]
include::../features.in/apt-conf/README[] include::../features.in/apt-conf/README[]
include::../features.in/armh-mcom02/README[] include::../features.in/armh-mcom02/README[]
......
=== features.in/alternatives ===
Данная фича позволяет задавать альтернативы [1].
Например, так:
@$(call add,ALTERNATIVES,/usr/bin/xvt:/usr/bin/xterm)
Также в самом конфиге могут быть уже преопределены цели для установки альтернатив.
Например, use/alternatives/xvt/% позволяет задавать произвольные альтернативы для xvt:
use/alternatives/xvt/xterm, use/alternatives/xvt/mate-terminal и т.д.
При этом альтернатива должна быть доступна.
1. https://www.altlinux.org/Alternatives
use/alternatives:
@$(call add_feature)
@$(call xport,ALTERNATIVES)
use/alternatives/xvt/%: use/alternatives
@$(call add,ALTERNATIVES,/usr/bin/xvt:/usr/bin/$*)
#!/bin/sh -efu
[ -n "$GLOBAL_ALTERNATIVES" ] || exit 0
for alternative in $GLOBAL_ALTERNATIVES; do
candidate="${alternative#*:}"
alternative="${alternative%:*}"
alternatives-manual "$alternative" "$candidate"
done
alternatives-update
...@@ -20,6 +20,6 @@ CAUTION: применяйте разумно, т.к. крайне легко с ...@@ -20,6 +20,6 @@ CAUTION: применяйте разумно, т.к. крайне легко с
@$(call set,SPEC_USER,user:user:500:500:/home/user:/bin/bash) @$(call set,SPEC_USER,user:user:500:500:/home/user:/bin/bash)
При этом нужно иметь в виду, что будет создана соответствующая группа с При этом нужно иметь в виду, что будет создана соответствующая группа с
соответствующим gid (нужно быть уверенным, что одноимённая группа не сущетсвует), соответствующим gid (нужно быть уверенным, что одноимённая группа не существует),
а пользователь будет добавлен в неё. Пользователь будет создан без пароля. а пользователь будет добавлен в неё. Пользователь будет создан без пароля.
Для установки пароля при первом запуске, смотрите фичу oem. Для установки пароля при первом запуске, смотрите фичу oem.
...@@ -8,6 +8,7 @@ use/deflogin: ...@@ -8,6 +8,7 @@ use/deflogin:
@$(call xport,GROUPS) @$(call xport,GROUPS)
@$(call xport,SPEC_USER) @$(call xport,SPEC_USER)
@$(call xport,LIVE_USER) @$(call xport,LIVE_USER)
@$(call xport,DEFAULT_SESSION)
# some presets # some presets
# USERS variable chunk format is "login:passwd:admin:sudo" # USERS variable chunk format is "login:passwd:admin:sudo"
......
#!/bin/sh
account_dir=/var/lib/AccountsService/users
[ -d /var/lib/AccountsService/users ] || exit 0
[ -n "$GLOBAL_USERS" ] || exit 0
[ -n "$GLOBAL_DEFAULT_SESSION" ] || exit 0
if [ -f /usr/share/wayland-sessions/"$GLOBAL_DEFAULT_SESSION".desktop ]; then
sesion_type=Session
elif [ -f /usr/share/xsessions/"$GLOBAL_DEFAULT_SESSION".desktop ]; then
sesion_type=XSession
else
echo "$GLOBAL_DEFAULT_SESSION.desktop is not found" >&2
exit 1
fi
for user in $GLOBAL_USERS; do
user="${user%%:*}"
cat > "$account_dir"/"$user"<<-EOF
[User]
$sesion_type=$GLOBAL_DEFAULT_SESSION
EOF
cat "$account_dir"/"$user"
done
...@@ -29,7 +29,7 @@ use/drm/full: use/drm/ancient use/drm/radeon \ ...@@ -29,7 +29,7 @@ use/drm/full: use/drm/ancient use/drm/radeon \
use/drm/stage2: use/drm/stage2:
@$(call add,STAGE1_DRM_KMODULES,drm) @$(call add,STAGE1_DRM_KMODULES,drm)
@$(call add,STAGE1_KMODULES,$$(STAGE1_DRM_KMODULES)) @$(call add,STAGE1_KMODULES,$$(STAGE1_DRM_KMODULES) $$(STAGE1_NVIDIA_KMODULES))
use/drm/stage2/ancient: use/drm/stage2 use/drm/stage2/ancient: use/drm/stage2
@$(call add,STAGE1_DRM_KMODULES,drm-ancient) @$(call add,STAGE1_DRM_KMODULES,drm-ancient)
...@@ -38,7 +38,10 @@ use/drm/stage2/radeon: use/drm/stage2 ...@@ -38,7 +38,10 @@ use/drm/stage2/radeon: use/drm/stage2
@$(call add,STAGE1_DRM_KMODULES,drm-radeon) @$(call add,STAGE1_DRM_KMODULES,drm-radeon)
use/drm/stage2/nouveau: use/drm/stage2 use/drm/stage2/nouveau: use/drm/stage2
@$(call add,STAGE1_DRM_KMODULES,drm-nouveau) @$(call set,STAGE1_NVIDIA_KMODULES,drm-nouveau)
use/drm/stage2/nvidia: use/drm/stage2/nouveau
@$(call set,STAGE1_NVIDIA_KMODULES,)
use/drm/stage2/full: use/drm/stage2/ancient use/drm/stage2/radeon \ use/drm/stage2/full: use/drm/stage2/ancient use/drm/stage2/radeon \
use/drm/stage2/nouveau; @: use/drm/stage2/nouveau; @:
...@@ -4,7 +4,6 @@ use/e2k: use/tty/S0 use/l10n/default/ru_RU ...@@ -4,7 +4,6 @@ use/e2k: use/tty/S0 use/l10n/default/ru_RU
@$(call add,BASE_PACKAGES,installer-feature-e2k-fix-clock-stage3) @$(call add,BASE_PACKAGES,installer-feature-e2k-fix-clock-stage3)
@$(call add,LIVE_PACKAGES,installer-feature-e2k-fix-boot-stage2) @$(call add,LIVE_PACKAGES,installer-feature-e2k-fix-boot-stage2)
@$(call add,LIVE_PACKAGES,installer-feature-e2k-ignore-cf-stage2) @$(call add,LIVE_PACKAGES,installer-feature-e2k-ignore-cf-stage2)
@$(call add,LIVE_PACKAGES,livecd-installer-features)
@$(call add,LIVE_PACKAGES,blacklist-ide) # avoid overwriting hda @$(call add,LIVE_PACKAGES,blacklist-ide) # avoid overwriting hda
@$(call add,STAGE2_PACKAGES,agetty) @$(call add,STAGE2_PACKAGES,agetty)
@$(call add,INSTALL2_PACKAGES,installer-feature-e2k-xorg-conf-stage2) @$(call add,INSTALL2_PACKAGES,installer-feature-e2k-xorg-conf-stage2)
......
...@@ -4,6 +4,10 @@ echo "** 20-e2k-boot START" ...@@ -4,6 +4,10 @@ echo "** 20-e2k-boot START"
cd "$WORKDIR" cd "$WORKDIR"
# Rename kernel image, unable to boot kernel from CD/DVD
# if its name does not contain "." (mcst#6856).
mv boot/image{,.0}
# slightly different logic as there's no boot *menu*: # slightly different logic as there's no boot *menu*:
# ensure the user can install this if possible # ensure the user can install this if possible
[ -f live ] && default=live [ -f live ] && default=live
...@@ -18,33 +22,43 @@ default=$default ...@@ -18,33 +22,43 @@ default=$default
timeout=3 timeout=3
EOF EOF
for i in live altinst rescue; do for i in live altinst liveinst rescue; do
[ -f "$i" ] || continue if [ "$i" = liveinst ]; then
[ -f live ] || continue
[ ! -f altinst ] || continue
[ -f Metadata/pkg-groups.tar ] || continue
else
[ -f "$i" ] || continue
fi
if [ "$i" = "altinst" ]; then case "$i" in
altinst)
label=install label=install
stage2= stage2=
else ;;
liveinst)
label=install
stage2="stagename=live"
init="init=/usr/sbin/install2-init"
;;
*)
label="$i" label="$i"
stage2="stagename=$i" stage2="stagename=$i"
fi ;;
esac
# Rename kernel image, unable to boot kernel from CD/DVD
# if its name does not contain "." (mcst#6856).
mv boot/image{,.0}
cat >> boot.conf << EOF cat >> boot.conf << EOF
label=$label label=$label
partition=0 partition=0
image=/boot/image.0 image=/boot/image.0
cmdline=console=ttyS0,115200 console=tty0 hardreset fastboot live automatic=method:cdrom ${stage2:+$stage2 }${GLOBAL_STAGE2_BOOTARGS:+$GLOBAL_STAGE2_BOOTARGS }${GLOBAL_BOOT_LANG:+lang=$GLOBAL_BOOT_LANG} cmdline=console=ttyS0,115200 console=tty0 hardreset fastboot live automatic=method:cdrom ${stage2:+$stage2 }${init:+$init }${GLOBAL_STAGE2_BOOTARGS:+$GLOBAL_STAGE2_BOOTARGS }${GLOBAL_BOOT_LANG:+lang=$GLOBAL_BOOT_LANG}
initrd=/boot/initrd.img initrd=/boot/initrd.img
label=${label}_flash label=${label}_flash
partition=0 partition=0
image=/boot/image.0 image=/boot/image.0
cmdline=console=ttyS0,115200 console=tty0 hardreset fastboot live lowmem automatic=method:disk,label:altinst,directory:/ ${stage2:+$stage2 }${GLOBAL_STAGE2_BOOTARGS:+$GLOBAL_STAGE2_BOOTARGS }${GLOBAL_BOOT_LANG:+lang=$GLOBAL_BOOT_LANG} cmdline=console=ttyS0,115200 console=tty0 hardreset fastboot live lowmem automatic=method:disk,label:altinst,directory:/ ${stage2:+$stage2 }${init:+$init }${GLOBAL_STAGE2_BOOTARGS:+$GLOBAL_STAGE2_BOOTARGS }${GLOBAL_BOOT_LANG:+lang=$GLOBAL_BOOT_LANG}
initrd=/boot/initrd.img initrd=/boot/initrd.img
EOF EOF
done done
......
menuentry $"Install "'@distro@' --hotkey 'i' --id 'linux' { menuentry $"Install "'@distro@' --hotkey 'i' --id 'linux' {
echo $"Loading Linux vmlinuz$KFLAVOUR ..." echo $"Loading Linux vmlinuz$KFLAVOUR ..."
linux /boot/vmlinuz$KFLAVOUR fastboot @initrd_bootargs@ @stagename@=altinst ramdisk_size=@altinst_size@ vga=@bootvga@ @bootargs@ $EFI_BOOTARGS lang=$lang lowmem linux /boot/vmlinuz$KFLAVOUR fastboot @initrd_bootargs@ @stagename@=altinst ramdisk_size=@altinst_size@ vga=@bootvga@ @bootargs@ $EFI_BOOTARGS lang=$lang
echo $"Loading initial ramdisk ..." echo $"Loading initial ramdisk ..."
initrd /boot/@initrd@$KFLAVOUR.@initrd_ext@ initrd /boot/@initrd@$KFLAVOUR.@initrd_ext@
} }
use/initrd-bootchain: use/uuid-iso use/initrd-bootchain: use/uuid-iso
@$(call add_feature) @$(call add_feature)
@$(call set,STAGE1_INITRD,initrd-bootchain) @$(call set,STAGE1_INITRD,initrd-bootchain)
@$(call set,STAGE1_PACKAGES,make-initrd-bootchain) @$(call set,STAGE1_PACKAGES,make-initrd-bootchain kbd)
@$(call set,STAGE1_INITRD_TYPEARGS,$(shell echo "root=bootchain bootchain=fg,altboot automatic")) @$(call set,STAGE1_INITRD_TYPEARGS,$(shell echo "root=bootchain bootchain=fg,altboot automatic"))
@$(call set,STAGE1_INITRD_BOOTMETHOD,$(shell echo "method:disk,uuid:$(UUID_ISO)")) @$(call set,STAGE1_INITRD_BOOTMETHOD,$(shell echo "method:disk,uuid:$(UUID_ISO)"))
@$(call set,STAGE1_INITRD_STAGE2_OPTION,stagename) @$(call set,STAGE1_INITRD_STAGE2_OPTION,stagename)
......
...@@ -18,7 +18,7 @@ done ...@@ -18,7 +18,7 @@ done
fatal "kernel modules set not found" fatal "kernel modules set not found"
cat >> /etc/initrd.mk <<EOF cat >> /etc/initrd.mk <<EOF
FEATURES += add-modules compress cleanup rdshell FEATURES += add-modules compress cleanup rdshell kbd
FEATURES += bootchain-localdev FEATURES += bootchain-localdev
FEATURES += bootchain-liverw FEATURES += bootchain-liverw
FEATURES += bootchain-waitdev FEATURES += bootchain-waitdev
......
...@@ -12,6 +12,9 @@ rm -rf /usr/lib*/vdpau/ /usr/lib*/libXv* ...@@ -12,6 +12,9 @@ rm -rf /usr/lib*/vdpau/ /usr/lib*/libXv*
# evms modules; see http://evms.sourceforge.net/user_guide/ # evms modules; see http://evms.sourceforge.net/user_guide/
rm -f /lib*/evms/*/{bbr,csm,drivelink,ogfs,replace,snapshot}* rm -f /lib*/evms/*/{bbr,csm,drivelink,ogfs,replace,snapshot}*
# evms will assemble arrays on its own
rm -f /lib/udev/rules.d/64-md-raid-assembly.rules
# unneeded kernel modules # unneeded kernel modules
### some of these removals belong to a purge grade script ### some of these removals belong to a purge grade script
### TODO: mostly scsi-less and net-less cleanup for antique ### TODO: mostly scsi-less and net-less cleanup for antique
...@@ -45,7 +48,8 @@ rm -rf /lib/modules/*/kernel/drivers/net/hamradio ...@@ -45,7 +48,8 @@ rm -rf /lib/modules/*/kernel/drivers/net/hamradio
rm -rf /lib/modules/*/kernel/drivers/net/irda rm -rf /lib/modules/*/kernel/drivers/net/irda
rm -rf /lib/modules/*/kernel/drivers/net/tokenring rm -rf /lib/modules/*/kernel/drivers/net/tokenring
rm -rf /lib/modules/*/kernel/drivers/net/wimax rm -rf /lib/modules/*/kernel/drivers/net/wimax
rm -rf /lib/modules/*/kernel/drivers/net/wireless # wi-fi may also need to be configured in the installer
#rm -rf /lib/modules/*/kernel/drivers/net/wireless
rm -rf /lib/modules/*/kernel/drivers/net/wan rm -rf /lib/modules/*/kernel/drivers/net/wan
rm -rf /lib/modules/*/kernel/drivers/regulator rm -rf /lib/modules/*/kernel/drivers/regulator
rm -rf /lib/modules/*/kernel/drivers/staging rm -rf /lib/modules/*/kernel/drivers/staging
......
...@@ -3,6 +3,9 @@ ...@@ -3,6 +3,9 @@
langlist="/etc/alterator/sysconfig/lang/langlist.all" langlist="/etc/alterator/sysconfig/lang/langlist.all"
langlist_temp="$langlist".temp langlist_temp="$langlist".temp
locales="$GLOBAL_LOCALES" locales="$GLOBAL_LOCALES"
locale="$GLOBAL_LOCALE"
systemd_locale=/etc/locale.conf
sysv_locale=/etc/sysconfig/i18n
[ -f "$langlist" ] || exit 0 [ -f "$langlist" ] || exit 0
[ -n "$locales" ] || exit 0 [ -n "$locales" ] || exit 0
...@@ -14,3 +17,9 @@ for lang in $locales; do ...@@ -14,3 +17,9 @@ for lang in $locales; do
done done
mv "$langlist_temp" "$langlist" mv "$langlist_temp" "$langlist"
[ -n "$locale" ] || exit 0
echo LANG="$locale".UTF8 > "$systemd_locale"
echo LANG="$locale".UTF8 > "$sysv_locale"
echo SUPPORTED="$locale".UTF8 >> "$sysv_locale"
...@@ -3,12 +3,14 @@ ...@@ -3,12 +3,14 @@
+live-installer: use/live-install/full; @: +live-installer: use/live-install/full; @:
use/live-install: use/live use/metadata use/repo/main \ use/live-install: use/live use/metadata use/repo/main \
use/bootloader use/grub/live-install.cfg use/syslinux/live-install.cfg use/bootloader use/grub/live-install.cfg use/syslinux/live-install.cfg \
use/alternatives/xvt/xterm
@$(call add_feature) @$(call add_feature)
@$(call add,LIVE_PACKAGES,installer-common-stage2) @$(call add,LIVE_PACKAGES,installer-common-stage2)
@$(call add,BASE_PACKAGES,installer-common-stage3) @$(call add,BASE_PACKAGES,installer-common-stage3)
@$(call add,LIVE_PACKAGES,installer-livecd-install) @$(call add,LIVE_PACKAGES,installer-livecd-install)
@$(call add,LIVE_PACKAGES,alterator-postinstall) # for auto install @$(call add,LIVE_PACKAGES,alterator-postinstall) # for auto install
@$(call add,LIVE_PACKAGES,xterm) # for vnc support
@$(call try,INSTALLER,altlinux-generic) # might be replaced later @$(call try,INSTALLER,altlinux-generic) # might be replaced later
@$(call add,LIVE_PACKAGES,installer-distro-$$(INSTALLER)-stage2) @$(call add,LIVE_PACKAGES,installer-distro-$$(INSTALLER)-stage2)
@$(call add,LIVE_PACKAGES,branding-$$(BRANDING)-alterator) @$(call add,LIVE_PACKAGES,branding-$$(BRANDING)-alterator)
......
...@@ -33,8 +33,8 @@ endif ...@@ -33,8 +33,8 @@ endif
use/stage2/kms: use/stage2/drm use/drm/stage2/full; @: use/stage2/kms: use/stage2/drm use/drm/stage2/full; @:
use/stage2/kms/nvidia: use/stage2/kms \ # initrd without nouveau; see ALT bug 31971
use/drm/stage2/nvidia; @: use/stage2/kms/nvidia: use/stage2/drm use/drm/stage2/nvidia; @:
# install mount.cifs to stage1 # install mount.cifs to stage1
# NB: there's builtin nfsmount there, no reason for nfs-utils # NB: there's builtin nfsmount there, no reason for nfs-utils
......
...@@ -3,5 +3,5 @@ default linux ...@@ -3,5 +3,5 @@ default linux
label linux label linux
menu label ^Install @relname@ menu label ^Install @relname@
kernel /boot/vmlinuz kernel /boot/vmlinuz
append initrd=/boot/@initrd@ fastboot @initrd_bootargs@ @stagename@=altinst ramdisk_size=@altinst_size@ showopts vga=@bootvga@ @bootargs@ lowmem append initrd=/boot/@initrd@ fastboot @initrd_bootargs@ @stagename@=altinst ramdisk_size=@altinst_size@ showopts vga=@bootvga@ @bootargs@
...@@ -9,9 +9,9 @@ ifeq (distro,$(IMAGE_CLASS)) ...@@ -9,9 +9,9 @@ ifeq (distro,$(IMAGE_CLASS))
endif endif
comma := , comma := ,
use/tty/S0 use/tty/SIF0 use/tty/AMA0: use/tty/%: use/tty use/tty/%: use/tty
@$(call add,THE_PACKAGES,agetty) @$(call add,THE_PACKAGES,agetty)
@$(call add,TTY_DEV,tty$*) @$(call try,TTY_DEV,tty$*)
@$(call set,TTY_RATE,115200) @$(call try,TTY_RATE,115200)
@$(call add,SYSLINUX_CFG,tty$*) @$(call add,SYSLINUX_CFG,tty$*)
@$(call add,BASE_BOOTARGS,console=tty1 console=$$(TTY_DEV)$(comma)$$(TTY_RATE)n8) @$(call add,BASE_BOOTARGS,console=tty1 console=$$(TTY_DEV)$(comma)$$(TTY_RATE)n8)
[Desktop Entry]
Type=Directory
X-Alterator-PackageList=kworkstation/3dparty-flatpak
X-Alterator-Required=no
X-Alterator-Parent=kworkstation/z00-add-3dparty
Categories=KDE;GNOME;XFCE
Name=Flatpak
Name[ru_RU]=Flatpak
Comment=Service for install flatpak packages from Flathub software repository.
Comment[ru_RU]=Сервис для установки flatpak-пакетов из репозитория программ Flathub.
[Desktop Entry]
Type=Directory
X-Alterator-PackageList=kworkstation/3dparty-snap
X-Alterator-Required=no
X-Alterator-Parent=kworkstation/z00-add-3dparty
Categories=KDE;GNOME;XFCE
Name=SNAP
Name[ru_RU]=SNAP
Comment=Service for install SNAP packages from Snapcraft software repository.
Comment[ru_RU]=Сервис для установки SNAP-пакетов из репозитория программ Snapcraft.
[Desktop Entry]
Type=Directory
X-Alterator-PackageList=kworkstation/add-no4k-screen
X-Alterator-Required=no
X-Alterator-Parent=kworkstation/z02-add-additional
Categories=KDE;GNOME;XFCE
Name=No 4K monitor
Name[ru_RU]=Без монитора 4K
Comment=Additional tuning when you don't need to connect a monitor with a high resolution screen (>= 3840x2160).
Comment[ru_RU]=Дополнительная подстройка при отсутствии необходимости подключать монитор с экраном высокого разрешения (>= 3840x2160).
...@@ -3,7 +3,6 @@ Type=Directory ...@@ -3,7 +3,6 @@ Type=Directory
X-Alterator-PackageList=kworkstation/add-webterminal X-Alterator-PackageList=kworkstation/add-webterminal
X-Alterator-Required=no X-Alterator-Required=no
X-Alterator-Parent=kworkstation/z02-add-additional X-Alterator-Parent=kworkstation/z02-add-additional
X-Alterator-Conflicts=kworkstation/games
Categories=KDE;GNOME;XFCE Categories=KDE;GNOME;XFCE
Name=WEB-terminal Name=WEB-terminal
......
[Desktop Entry]
Type=Directory
X-Alterator-Required=no
X-Alterator-PackageList=kworkstation/3dparty-base
Categories=KDE;
Name=Third-party software
Name[ru_RU]=Стороннее ПО
Comment=Third party software repositories.
Comment[ru_RU]=Репозитории стороннего программного обеспечения.
...@@ -116,3 +116,4 @@ system-report ...@@ -116,3 +116,4 @@ system-report
glibc-timezones glibc-timezones
alt-issue-server alt-issue-server
color-prompt-and-man
plasma5-discover-flatpak
flatpak-repo-flathub
kde5-tablet-mode-switch maliit-keyboard
kde5-plasma-settings-virtualkeyboard
maliit-inputcontext-gtk2 maliit-inputcontext-gtk2
maliit-inputcontext-gtk3 maliit-inputcontext-gtk3
maliit-keyboard kde5-plasma-settings-virtualkeyboard
...@@ -11,9 +11,9 @@ gnupg2 ...@@ -11,9 +11,9 @@ gnupg2
# 1C # 1C
#1c-preinstall-full@X86 # ms-fonts license #1c-preinstall-full@X86 # ms-fonts license
1c-preinstall@X86 1c-preinstall@X86
postgresql14-1C postgresql15-1C
postgresql14-1C-server postgresql15-1C-server
postgresql14-1C-contrib postgresql15-1C-contrib
haspd@IA32 haspd@IA32
# VipNet CSP # VipNet CSP
vipnetcsp4-preinstall vipnetcsp4-preinstall
...@@ -75,3 +75,7 @@ alterator-netinst ...@@ -75,3 +75,7 @@ alterator-netinst
alterator-updates alterator-updates
alien alien
virt-viewer virt-viewer
x2goclient
x2goserver x2goserver-printing cups-x2go
x2gobroker x2gobroker-ssh x2gobroker-daemon x2gobroker-authservice
openuds-client openuds-actor
alsa-plugins-pulse@IA32
libtxc_dxtn@IA32 libtxc_dxtn@IA32
libd3d@IA32 libd3d@IA32
steam@IA32 steam@IA32
...@@ -5,10 +5,17 @@ catdoc ...@@ -5,10 +5,17 @@ catdoc
gdb gdb
fuse-cryfs fuse-cryfs
libnss-mdns libnss-mdns
libcuda
nvidia-modprobe nvidia-modprobe
plasma5-libkscreen-utils plasma5-libkscreen-utils
libnvidia-encode
libcuda
libnvoptix
libnvcuvid
ocl-nvidia
ocl-icd@X32
clinfo
alt-csp-cryptopro alt-csp-cryptopro
rosa-crypto-tool rosa-crypto-tool
quick-usb-formatter quick-usb-formatter
...@@ -23,9 +30,8 @@ kde5-kcm-grub2 ...@@ -23,9 +30,8 @@ kde5-kcm-grub2
# #
#appinstall@X86 #appinstall@X86
synaptic-kde@META synaptic-kde@META
plasma5-discover-maxi@META plasma5-discover-fwupd
plasma5-discover-flatpak@META plasma5-discover-kns
flatpak-repo-flathub
openssl-gost-engine openssl-gost-engine
kde5-kreslimit kde5-kreslimit
kde5-file-actions-gost kde5-file-actions-gost
...@@ -40,6 +46,7 @@ qmmp1 ...@@ -40,6 +46,7 @@ qmmp1
qmmp-skins qmmp-skins
samba samba
samba-usershares
# system-config-samba # system-config-samba
kde5-messenger-client-mix kde5-messenger-client-mix
......
...@@ -10,6 +10,7 @@ pavucontrol ...@@ -10,6 +10,7 @@ pavucontrol
plasma5-discover-packagekit@META plasma5-discover-packagekit@META
alt-kworkstation-addon alt-kworkstation-addon
alterator-roles-common
alterator-standalone alterator-standalone
alterator-auth alterator-auth
alterator-control alterator-control
...@@ -89,6 +90,7 @@ pciutils ...@@ -89,6 +90,7 @@ pciutils
pcmciautils pcmciautils
pinfo pinfo
pm-utils pm-utils
polkit-rule-admin-root
pulseaudio-bluez pulseaudio-bluez
quota quota
rpminstall rpminstall
...@@ -112,6 +114,7 @@ vdpauinfo ...@@ -112,6 +114,7 @@ vdpauinfo
vim-console vim-console
vkd3d-utils vkd3d-utils
vulkan-tools vulkan-tools
vulkan-validation-layers
wget wget
xauthority-hostname-updater xauthority-hostname-updater
xinput xinput
...@@ -119,15 +122,14 @@ xfsprogs ...@@ -119,15 +122,14 @@ xfsprogs
xorg-conf-synaptics xorg-conf-synaptics
xorg-conf-libinput-touchpad xorg-conf-libinput-touchpad
ocl-nvidia
ocl-icd@X32
clinfo
libva-driver-intel@X86 libva-driver-intel@X86
libva-intel-media-driver@x86_64 libva-intel-media-driver@x86_64
#libva-driver-vdpau #libva-driver-vdpau
#libvdpau-va-gl #libvdpau-va-gl
vulkan-amdgpu@X86 vulkan-amdgpu@X86
orca at-spi2-core
ca-certificates-digital.gov.ru ca-certificates-digital.gov.ru
chromium-gost chromium-gost
...@@ -135,6 +137,7 @@ openvpn-gostcrypto ...@@ -135,6 +137,7 @@ openvpn-gostcrypto
kde5-display-manager-sddm kde5-display-manager-sddm
kde5-network-manager-etcnet kde5-network-manager-etcnet
openssh openssh-clients openssh-askpass-common openssh-server openssh-common openssh-server-control openssh openssh-clients openssh-askpass-common openssh-server openssh-common openssh-server-control
systemd-ssh-agent
kde5-network-manager-nm kde5-network-manager-nm
kde5-video-player-haruna kde5-video-player-haruna
kde5-audio-player-qmmp kde5-audio-player-qmmp
......
kde5-scanning@META kde5-scanning@META
kde5-skanpage
xsane-doc-ru xsane-doc-ru
tesseract-langpack-en tesseract-langpack-en
......
#kde5-soundkonverter #kde5-soundkonverter
kde5-kid3 kde5-kid3
flacon flacon
kde5-krecorder
kde5-kwave kde5-kwave
...@@ -27,6 +27,7 @@ lsblk ...@@ -27,6 +27,7 @@ lsblk
lsmount lsmount
lvm2 lvm2
mdadm-tool mdadm-tool
open-iscsi
photorec photorec
scalpel scalpel
sleuthkit sleuthkit
......
...@@ -25,3 +25,5 @@ xfce4-screensaver ...@@ -25,3 +25,5 @@ xfce4-screensaver
vlock vlock
wget wget
whdd whdd
firmware-alsa-sof
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment